import request from "@/utils/request";

// 查询台区所有信息
export function getPowerDistributionAreaList(data) {
    return request({
        url: "/device-boot/pms/powerDistributionarea/getPowerDistributionAreaList",
        method: "post",
        data,
    });
}
// 新增台区
export function addPowerDistributionArea(data) {
    return request({
        url: "/device-boot/pms/powerDistributionarea/addPowerDistributionArea",
        method: "post",
        data,
    });
}
// 修改台区
export function updatePowerDistributionArea(data) {
    return request({
        url: "/device-boot/pms/powerDistributionarea/updatePowerDistributionArea",
        method: "post",
        data,
    });
}
// 删除台区
export function deletePowerDistributionArea(data) {
    return request({
        url: "/device-boot/pms/powerDistributionarea/deletePowerDistributionArea",
        method: "post",
        data,
    });
}
// 获取电站
export function getstatationStatList(data) {
    return request({
        url: "/device-boot/pms/statationStat/getstatationStatList",
        method: "post",
        data,
    });
}
// 获取所有线路下拉框使用
export function getGeneratrixWireList(data) {
    return request({
        url: "/device-boot/pms/generatrixWire/getGeneratrixWireList",
        method: "post",
        data,
    });
}